From: "Kent Fredric" <kentnl@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-perl/Audio-Mixer/
Date: Wed, 29 Apr 2020 10:58:32 +0000 (UTC) [thread overview]
Message-ID: <1588157882.b4ab3ff478eda3feb0eccb30715dae922ab32d9e.kentnl@gentoo> (raw)
commit: b4ab3ff478eda3feb0eccb30715dae922ab32d9e
Author: Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 29 10:57:39 2020 +0000
Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Wed Apr 29 10:58:02 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b4ab3ff4
dev-perl/Audio-Mixer: -r bump for EAPI7
- EAPI7
- Correct license
- Use ${CAT}/${PN} substitution in wiki link
- Remove empty variable assignments
Package-Manager: Portage-2.3.97, Repoman-2.3.22
Signed-off-by: Kent Fredric <kentnl <AT> gentoo.org>
dev-perl/Audio-Mixer/Audio-Mixer-0.700.0-r3.ebuild | 52 ++++++++++++++++++++++
1 file changed, 52 insertions(+)
diff --git a/dev-perl/Audio-Mixer/Audio-Mixer-0.700.0-r3.ebuild b/dev-perl/Audio-Mixer/Audio-Mixer-0.700.0-r3.ebuild
new file mode 100644
index 00000000000..8d500a018fa
--- /dev/null
+++ b/dev-perl/Audio-Mixer/Audio-Mixer-0.700.0-r3.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DIST_AUTHOR=SERGEY
+DIST_VERSION=0.7
+DIST_EXAMPLES=("eg/*")
+inherit perl-module
+
+DESCRIPTION="Perl extension for Sound Mixer control"
+
+SLOT="0"
+KEYWORDS="~amd64 ~ia64 ~ppc ~sparc ~x86"
+# License note: Ambiguous
+# https://rt.cpan.org/Ticket/Display.html?id=132448
+LICENSE="GPL-1"
+
+PATCHES=(
+ "${FILESDIR}/${P}-volumepl.patch"
+ "${FILESDIR}/${P}-clang.patch"
+ "${FILESDIR}/${P}-testsuite.patch"
+)
+
+src_test() {
+ local MODULES=(
+ "Audio::Mixer ${DIST_VERSION}"
+ )
+ local failed=()
+ for dep in "${MODULES[@]}"; do
+ ebegin "Compile testing ${dep}"
+ perl -Mblib="${S}" -M"${dep} ()" -e1
+ eend $? || failed+=( "$dep" )
+ done
+ if [[ ${failed[@]} ]]; then
+ echo
+ eerror "One or more modules failed compile:";
+ for dep in "${failed[@]}"; do
+ eerror " ${dep}"
+ done
+ die "Failing due to module compilation errors";
+ fi
+ if [[ "${AUDIO_MIXER_HW_TEST:-0}" == 0 ]]; then
+ ewarn "Comprehensive testing of this module needs hardware access to mixing"
+ ewarn "devices. Set AUDIO_MIXER_HW_TEST=1 in your environment if you want full"
+ ewarn "coverage"
+ ewarn "For details, see:"
+ ewarn "https://wiki.gentoo.org/wiki/Project:Perl/maint-notes/${CATEGORY}/${PN}"
+ else
+ perl-module_src_test
+ fi
+}
next reply other threads:[~2020-04-29 10:58 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-04-29 10:58 Kent Fredric [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-25 4:48 [gentoo-commits] repo/gentoo:master commit in: dev-perl/Audio-Mixer/ Sam James
2024-06-25 4:45 Sam James
2024-06-25 3:56 Sam James
2024-05-22 2:56 Sam James
2024-05-22 2:55 Sam James
2020-09-28 14:11 Kent Fredric
2020-07-03 0:07 Kent Fredric
2018-04-07 21:18 Sergei Trofimovich
2018-04-04 22:26 Sergei Trofimovich
2018-04-04 14:25 Aaron Bauman
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1588157882.b4ab3ff478eda3feb0eccb30715dae922ab32d9e.kentnl@gentoo \
--to=kentnl@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox